---
title: "为履约单创建发货单（单个或批量）"
description: "给一个或多个履约订单创建一个发货单"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/create-an-fulfillment-for-the-fulfillment-order-single-or-batch'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/create-an-fulfillment-for-the-fulfillment-order-single-or-batch.md'
---
# 为履约单创建发货单（单个或批量）

给一个或多个履约订单创建一个发货单

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillments/fulfillments.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_assigned_fulfillment_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `fulfillment`

  object

  包裹单物流信息

  * `line_items_by_fulfillment_order`

    array<object>

    履约订单号列表

    * `fulfillment_order_id`

      string

      履约订单号

    * `fulfillment_order_line_items`

      array<object>

      履约单商品行

      * `id`

        string

        履约订单商品行id

      * `quantity`

        integer

        发货数量

  * `message`

    string

    通知信息

  * `notify_customer`

    boolean

    是否通知消费者

  * `tracking_info`

    object

    物流信息
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

    * `number`

      string

      物流单号

    * `url`

      string

      追踪链接

    * `company`

      string

      物流公司

  * `tracking_info_list`

    array<object>

    物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。

    * `tracking_company`

      string

      物流服务商。

    * `tracking_number`

      string

      物流单号。

    * `tracking_url`

      string

      追踪链接。

* `order_id`

  string

  订单id

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `fulfillment`

  object

  包裹单详情

  * `name`

    string

    包裹名称

  * `tracking_company`

    string

    物流公司名称。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `line_items`

    array<object>

    包裹商品

    * `tax_lines`

      array<object>

      税项

      * `name`

        string

        税费名

      * `price`

        string

        税费

      * `price_set`

        object

        税费多币种信息

      * `rate`

        string

        税率

      * `title`

        string

        税费标题

    * `id`

      string

      id

    * `product_id`

      string

      商品序号

    * `requires_shipping`

      boolean

      是否需要发货

    * `total_discount`

      string

      优惠

    * `taxable`

      boolean

      是否收税

    * `title`

      string

      商品标题

    * `quantity`

      integer

      sku数量

    * `sku`

      string

      商品条码

    * `name`

      string

      sku标题

    * `version`

      string

      商品版本

    * `fulfillable_quantity`

      integer

      剩余可以发货数量

    * `grams`

      double

      重量

    * `fulfillment_quantity`

      integer

      发货数量

    * `vendor`

      string

      供应商

    * `variant_title`

      string

      商品属性值

    * `price_set`

      object

      商品价格信息

      * `presentment_money`

        object

        价格

      * `shop_money`

        object

        店铺价格

    * `variant_id`

      string

      sku序号

    * `fulfillment_status`

      string

      包裹状态

    * `price`

      string

      商品价格

    * `properties`

      array<object>

      附加信息

      * `additional`

        string

        附加信息

      * `name`

        string

        自定义属性名称

      * `type`

        string

        属性类型

      * `urls`

        array<string>

        url列表

      * `value`

        string

        自定义属性值

    * `total_discount_set`

      object

      优惠价格信息

      * `shop_money`

        object

        店铺价格

      * `presentment_money`

        object

        价格

  * `status`

    string

    包裹单状态

  * `created_at`

    string

    创建时间

  * `id`

    string

    包裹单id

  * `tracking_numbers`

    array<string>

    第三方物流单号列表

  * `tracking_url`

    string

    物流跟踪 URL。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `order_id`

    string

    订单id

  * `updated_at`

    string

    更新时间

  * `location_id`

    string

    地点id

  * `shipment_status`

    string

    物流状态

  * `tracking_number`

    string

    第三方物流单号。
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_info_list`

    array<object>

    物流追踪信息列表，若指定该入参，则单个入参的tracking_url、tracking_number、tracking_company被拦截。最多传入 10 个追踪信息。

    * `tracking_number`

      string

      物流单号。

    * `tracking_url`

      string

      追踪链接。

    * `tracking_company`

      string

      物流服务商。

  * `tracking_urls`

    array<string>

    物流追踪URL列表


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "给一个或多个履约订单创建一个发货单",
  "externalDocs": {
    "description": "接口使用的权限点: `write_assigned_fulfillment_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| UNAUTHORIZED_ACCESS | 422 | unauthorized access |\n| MULTI_EXPRESS_INFOS_MAX_SIZE | 422 | A maximum of 10 tracking information can be added. |\n"
  },
  "operationId": "g8mOo8rZ",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "fulfillment": {
              "name": "fulfillment",
              "description": "包裹单物流信息",
              "type": "object",
              "properties": {
                "line_items_by_fulfillment_order": {
                  "name": "line_items_by_fulfillment_order",
                  "description": "履约订单号列表",
                  "type": "array",
                  "items": {
                    "name": "line_items_by_fulfillment_order",
                    "description": "履约订单号列表",
                    "type": "object",
                    "properties": {
                      "fulfillment_order_id": {
                        "name": "fulfillment_order_id",
                        "description": "履约订单号",
                        "type": "string",
                        "example": "\"1046000807\""
                      },
                      "fulfillment_order_line_items": {
                        "name": "fulfillment_order_line_items",
                        "description": "履约单商品行",
                        "type": "array",
                        "items": {
                          "name": "fulfillment_order_line_items",
                          "description": "履约单商品行",
                          "type": "object",
                          "properties": {
                            "id": {
                              "name": "id",
                              "description": "履约订单商品行id",
                              "type": "string",
                              "example": "6076"
                            },
                            "quantity": {
                              "name": "quantity",
                              "description": "发货数量",
                              "type": "integer",
                              "example": 2
                            }
                          },
                          "required": [
                            "id",
                            "quantity"
                          ],
                          "example": {
                            "quantity": 2,
                            "id": "6076"
                          }
                        },
                        "example": [
                          {
                            "id": "6076",
                            "quantity": 2
                          }
                        ]
                      }
                    },
                    "required": [
                      "fulfillment_order_id"
                    ],
                    "example": {
                      "fulfillment_order_id": "\"1046000807\"",
                      "fulfillment_order_line_items": [
                        {
                          "id": "6076",
                          "quantity": 2
                        }
                      ]
                    }
                  },
                  "example": [
                    {
                      "fulfillment_order_id": "\"1046000807\"",
                      "fulfillment_order_line_items": [
                        {
                          "id": "6076",
                          "quantity": 2
                        }
                      ]
                    }
                  ]
                },
                "message": {
                  "name": "message",
                  "description": "通知信息",
                  "type": "string",
                  "example": "\"he package was shipped this morning.\""
                },
                "notify_customer": {
                  "name": "notify_customer",
                  "description": "是否通知消费者",
                  "type": "boolean",
                  "example": true
                },
                "tracking_info": {
                  "name": "tracking_info",
                  "description": "物流信息\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                  "type": "object",
                  "properties": {
                    "number": {
                      "name": "number",
                      "description": "物流单号",
                      "type": "string",
                      "example": "\"UG15439033\""
                    },
                    "url": {
                      "name": "url",
                      "description": "追踪链接",
                      "type": "string",
                      "example": "http://www.my-url.com"
                    },
                    "company": {
                      "name": "company",
                      "description": "物流公司",
                      "type": "string",
                      "example": "\"my-company\""
                    }
                  },
                  "example": {
                    "company": "\"my-company\"",
                    "number": "\"UG15439033\"",
                    "url": "http://www.my-url.com"
                  }
                },
                "tracking_info_list": {
                  "name": "tracking_info_list",
                  "description": "物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。",
                  "type": "array",
                  "items": {
                    "name": "tracking_info_list",
                    "description": "物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。",
                    "type": "object",
                    "properties": {
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "物流服务商。",
                        "type": "string",
                        "example": "\"my-company\""
                      },
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "物流单号。",
                        "type": "string",
                        "example": "\"UG15439033\""
                      },
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "追踪链接。",
                        "type": "string",
                        "example": "http://www.my-url.com"
                      }
                    },
                    "example": {
                      "tracking_company": "\"my-company\"",
                      "tracking_number": "\"UG15439033\"",
                      "tracking_url": "http://www.my-url.com"
                    }
                  },
                  "example": [
                    {
                      "tracking_company": "\"my-company\"",
                      "tracking_number": "\"UG15439033\"",
                      "tracking_url": "http://www.my-url.com"
                    }
                  ]
                }
              },
              "required": [
                "line_items_by_fulfillment_order"
              ],
              "example": {
                "line_items_by_fulfillment_order": [
                  {
                    "fulfillment_order_id": "\"1046000807\"",
                    "fulfillment_order_line_items": [
                      {
                        "id": "6076",
                        "quantity": 2
                      }
                    ]
                  }
                ],
                "message": "\"he package was shipped this morning.\"",
                "notify_customer": true,
                "tracking_info": {
                  "company": "\"my-company\"",
                  "number": "\"UG15439033\"",
                  "url": "http://www.my-url.com"
                },
                "tracking_info_list": [
                  {
                    "tracking_number": "\"UG15439033\"",
                    "tracking_url": "http://www.my-url.com",
                    "tracking_company": "\"my-company\""
                  }
                ]
              }
            },
            "order_id": {
              "name": "order_id",
              "description": "订单id",
              "type": "string",
              "example": "\"21057116277667827637773776\""
            }
          },
          "required": [
            "fulfillment",
            "order_id"
          ],
          "example": {
            "fulfillment": {
              "line_items_by_fulfillment_order": [
                {
                  "fulfillment_order_line_items": [
                    {
                      "quantity": 2,
                      "id": "6076"
                    }
                  ],
                  "fulfillment_order_id": "\"1046000807\""
                }
              ],
              "message": "\"he package was shipped this morning.\"",
              "notify_customer": true,
              "tracking_info": {
                "company": "\"my-company\"",
                "number": "\"UG15439033\"",
                "url": "http://www.my-url.com"
              },
              "tracking_info_list": [
                {
                  "tracking_company": "\"my-company\"",
                  "tracking_number": "\"UG15439033\"",
                  "tracking_url": "http://www.my-url.com"
                }
              ]
            },
            "order_id": "\"21057116277667827637773776\""
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "fulfillment": {
                "name": "fulfillment",
                "description": "包裹单详情",
                "type": "object",
                "properties": {
                  "name": {
                    "name": "name",
                    "description": "包裹名称",
                    "type": "string",
                    "example": "\"#21057116277667827637773776.1\""
                  },
                  "tracking_company": {
                    "name": "tracking_company",
                    "description": "物流公司名称。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"Other\""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "包裹商品",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "包裹商品",
                      "type": "object",
                      "properties": {
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "税项",
                          "type": "array",
                          "items": {
                            "name": "tax_lines",
                            "description": "税项",
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "税费名",
                                "type": "string",
                                "example": "\" item tax \""
                              },
                              "price": {
                                "name": "price",
                                "description": "税费",
                                "type": "string",
                                "example": "\"10.00\""
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "税费多币种信息",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "价格",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "总额",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "amount": "\"10.00\"",
                                      "currency_code": "\"USD\""
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "店铺价格",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "总额",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "currency_code": "\"USD\"",
                                      "amount": "\"10.00\""
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  },
                                  "shop_money": {
                                    "currency_code": "\"USD\"",
                                    "amount": "\"10.00\""
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "税率",
                                "type": "string",
                                "example": "\"1.00\""
                              },
                              "title": {
                                "name": "title",
                                "description": "税费标题",
                                "type": "string",
                                "example": "\" Product tax \""
                              }
                            },
                            "example": {
                              "name": "\" item tax \"",
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "rate": "\"1.00\"",
                              "title": "\" Product tax \""
                            }
                          },
                          "example": [
                            {
                              "title": "\" Product tax \"",
                              "name": "\" item tax \"",
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"10.00\""
                                },
                                "shop_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "rate": "\"1.00\""
                            }
                          ]
                        },
                        "id": {
                          "name": "id",
                          "description": "id",
                          "type": "string",
                          "example": "\"466157049\""
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "商品序号",
                          "type": "string",
                          "example": "\"343342675\""
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "是否需要发货",
                          "type": "boolean",
                          "example": true
                        },
                        "total_discount": {
                          "name": "total_discount",
                          "description": "优惠",
                          "type": "string",
                          "example": "\"0.00\""
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "是否收税",
                          "type": "boolean",
                          "example": true
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题",
                          "type": "string",
                          "example": "\"Draft\""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "sku数量",
                          "type": "integer",
                          "example": 1
                        },
                        "sku": {
                          "name": "sku",
                          "description": "商品条码",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "name": {
                          "name": "name",
                          "description": "sku标题",
                          "type": "string",
                          "example": "Trade name"
                        },
                        "version": {
                          "name": "version",
                          "description": "商品版本",
                          "type": "string",
                          "example": "\"1\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "剩余可以发货数量",
                          "type": "integer",
                          "example": 1
                        },
                        "grams": {
                          "name": "grams",
                          "description": "重量",
                          "type": "double",
                          "example": 10.5
                        },
                        "fulfillment_quantity": {
                          "name": "fulfillment_quantity",
                          "description": "发货数量",
                          "type": "integer",
                          "example": 1
                        },
                        "vendor": {
                          "name": "vendor",
                          "description": "供应商",
                          "type": "string",
                          "example": ""
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "商品属性值",
                          "type": "string",
                          "example": "\"Black / Bracelet / Bracelet\"\""
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "商品价格信息",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "价格",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "总额",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺价格",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "总额",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            }
                          }
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "sku序号",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "fulfillment_status": {
                          "name": "fulfillment_status",
                          "description": "包裹状态",
                          "type": "string",
                          "example": "\"open\""
                        },
                        "price": {
                          "name": "price",
                          "description": "商品价格",
                          "type": "string",
                          "example": "\"100.00\""
                        },
                        "properties": {
                          "name": "properties",
                          "description": "附加信息",
                          "type": "array",
                          "items": {
                            "name": "properties",
                            "description": "附加信息",
                            "type": "object",
                            "properties": {
                              "additional": {
                                "name": "additional",
                                "description": "附加信息",
                                "type": "string",
                                "example": "\" add-on information \""
                              },
                              "name": {
                                "name": "name",
                                "description": "自定义属性名称",
                                "type": "string",
                                "example": "\" picture \""
                              },
                              "type": {
                                "name": "type",
                                "description": "属性类型",
                                "type": "string",
                                "example": "\"picture\""
                              },
                              "urls": {
                                "name": "urls",
                                "description": "url列表",
                                "type": "array",
                                "items": {
                                  "name": "urls",
                                  "description": "url列表",
                                  "type": "string",
                                  "example": "[\"https://www.myshopline.com\"]"
                                },
                                "example": [
                                  "[\"https://www.myshopline.com\"]"
                                ]
                              },
                              "value": {
                                "name": "value",
                                "description": "自定义属性值",
                                "type": "string",
                                "example": "\"value\""
                              }
                            },
                            "example": {
                              "urls": [
                                "[\"https://www.myshopline.com\"]"
                              ],
                              "value": "\"value\"",
                              "additional": "\" add-on information \"",
                              "name": "\" picture \"",
                              "type": "\"picture\""
                            }
                          },
                          "example": [
                            {
                              "value": "\"value\"",
                              "additional": "\" add-on information \"",
                              "name": "\" picture \"",
                              "type": "\"picture\"",
                              "urls": [
                                "[\"https://www.myshopline.com\"]"
                              ]
                            }
                          ]
                        },
                        "total_discount_set": {
                          "name": "total_discount_set",
                          "description": "优惠价格信息",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺价格",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "总额",
                                  "type": "string",
                                  "example": "\"0.00\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "价格",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "总额",
                                  "type": "string",
                                  "example": "\"0.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            }
                          }
                        }
                      },
                      "example": {
                        "total_discount": "\"0.00\"",
                        "fulfillment_quantity": 1,
                        "id": "\"466157049\"",
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "vendor": "",
                        "version": "\"1\"",
                        "sku": "\"183423409238904944\"",
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "quantity": 1,
                        "title": "\"Draft\"",
                        "tax_lines": [
                          {
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\"",
                            "title": "\" Product tax \"",
                            "name": "\" item tax \"",
                            "price": "\"10.00\""
                          }
                        ],
                        "taxable": true,
                        "properties": [
                          {
                            "type": "\"picture\"",
                            "urls": [
                              "[\"https://www.myshopline.com\"]"
                            ],
                            "value": "\"value\"",
                            "additional": "\" add-on information \"",
                            "name": "\" picture \""
                          }
                        ],
                        "variant_id": "\"183423409238904944\"",
                        "product_id": "\"343342675\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_status": "\"open\"",
                        "price": "\"100.00\"",
                        "grams": 10.5,
                        "name": "Trade name",
                        "requires_shipping": true
                      }
                    },
                    "example": [
                      {
                        "total_discount": "\"0.00\"",
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "fulfillable_quantity": 1,
                        "name": "Trade name",
                        "price": "\"100.00\"",
                        "sku": "\"183423409238904944\"",
                        "requires_shipping": true,
                        "fulfillment_status": "\"open\"",
                        "variant_id": "\"183423409238904944\"",
                        "id": "\"466157049\"",
                        "grams": 10.5,
                        "vendor": "",
                        "title": "\"Draft\"",
                        "total_discount_set": {
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "product_id": "\"343342675\"",
                        "properties": [
                          {
                            "value": "\"value\"",
                            "additional": "\" add-on information \"",
                            "name": "\" picture \"",
                            "type": "\"picture\"",
                            "urls": [
                              "[\"https://www.myshopline.com\"]"
                            ]
                          }
                        ],
                        "version": "\"1\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"100.00\""
                          }
                        },
                        "quantity": 1,
                        "tax_lines": [
                          {
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\"",
                            "title": "\" Product tax \"",
                            "name": "\" item tax \""
                          }
                        ],
                        "taxable": true,
                        "fulfillment_quantity": 1
                      }
                    ]
                  },
                  "status": {
                    "name": "status",
                    "description": "包裹单状态",
                    "type": "string",
                    "example": "\"success\""
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "创建时间",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "包裹单id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "tracking_numbers": {
                    "name": "tracking_numbers",
                    "description": "第三方物流单号列表",
                    "type": "array",
                    "items": {
                      "name": "tracking_numbers",
                      "description": "第三方物流单号列表",
                      "type": "string",
                      "example": "[\"UG198768340YP\"]"
                    },
                    "example": [
                      "[\"UG198768340YP\"]"
                    ]
                  },
                  "tracking_url": {
                    "name": "tracking_url",
                    "description": "物流跟踪 URL。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单id",
                    "type": "string",
                    "example": "\"21057116277667827637773776\""
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "更新时间",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "location_id": {
                    "name": "location_id",
                    "description": "地点id",
                    "type": "string",
                    "example": "\"54039222210\""
                  },
                  "shipment_status": {
                    "name": "shipment_status",
                    "description": "物流状态",
                    "type": "string",
                    "example": "\"success\""
                  },
                  "tracking_number": {
                    "name": "tracking_number",
                    "description": "第三方物流单号。\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"UG198768340YP\""
                  },
                  "tracking_info_list": {
                    "name": "tracking_info_list",
                    "description": "物流追踪信息列表，若指定该入参，则单个入参的tracking_url、tracking_number、tracking_company被拦截。最多传入 10 个追踪信息。",
                    "type": "array",
                    "items": {
                      "name": "tracking_info_list",
                      "description": "物流追踪信息列表，若指定该入参，则单个入参的tracking_url、tracking_number、tracking_company被拦截。最多传入 10 个追踪信息。",
                      "type": "object",
                      "properties": {
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "物流单号。",
                          "type": "string",
                          "example": ""
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "追踪链接。",
                          "type": "string",
                          "example": ""
                        },
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "物流服务商。",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "tracking_company": "",
                        "tracking_number": "",
                        "tracking_url": ""
                      }
                    },
                    "example": [
                      {
                        "tracking_url": "",
                        "tracking_company": "",
                        "tracking_number": ""
                      }
                    ]
                  },
                  "tracking_urls": {
                    "name": "tracking_urls",
                    "description": "物流追踪URL列表",
                    "type": "array",
                    "items": {
                      "name": "tracking_urls",
                      "description": "物流追踪URL列表",
                      "type": "string",
                      "example": "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    },
                    "example": [
                      "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    ]
                  }
                },
                "example": {
                  "order_id": "\"21057116277667827637773776\"",
                  "shipment_status": "\"success\"",
                  "status": "\"success\"",
                  "tracking_info_list": [
                    {
                      "tracking_url": "",
                      "tracking_company": "",
                      "tracking_number": ""
                    }
                  ],
                  "tracking_number": "\"UG198768340YP\"",
                  "location_id": "\"54039222210\"",
                  "updated_at": "2022-10-21T08:56:20-04:00",
                  "created_at": "2022-10-21T08:56:20-04:00",
                  "name": "\"#21057116277667827637773776.1\"",
                  "tracking_numbers": [
                    "[\"UG198768340YP\"]"
                  ],
                  "id": "\"4005740193290131085320\"",
                  "line_items": [
                    {
                      "fulfillment_quantity": 1,
                      "price": "\"100.00\"",
                      "tax_lines": [
                        {
                          "title": "\" Product tax \"",
                          "name": "\" item tax \"",
                          "price": "\"10.00\"",
                          "price_set": {
                            "presentment_money": {
                              "currency_code": "\"USD\"",
                              "amount": "\"10.00\""
                            },
                            "shop_money": {
                              "currency_code": "\"USD\"",
                              "amount": "\"10.00\""
                            }
                          },
                          "rate": "\"1.00\""
                        }
                      ],
                      "variant_id": "\"183423409238904944\"",
                      "product_id": "\"343342675\"",
                      "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                      "fulfillable_quantity": 1,
                      "fulfillment_status": "\"open\"",
                      "name": "Trade name",
                      "price_set": {
                        "presentment_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        },
                        "shop_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "vendor": "",
                      "id": "\"466157049\"",
                      "sku": "\"183423409238904944\"",
                      "taxable": true,
                      "total_discount": "\"0.00\"",
                      "total_discount_set": {
                        "shop_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        },
                        "presentment_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "title": "\"Draft\"",
                      "version": "\"1\"",
                      "quantity": 1,
                      "properties": [
                        {
                          "additional": "\" add-on information \"",
                          "name": "\" picture \"",
                          "type": "\"picture\"",
                          "urls": [
                            "[\"https://www.myshopline.com\"]"
                          ],
                          "value": "\"value\""
                        }
                      ],
                      "requires_shipping": true,
                      "grams": 10.5
                    }
                  ],
                  "tracking_company": "\"Other\"",
                  "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                  "tracking_urls": [
                    "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                  ]
                }
              }
            },
            "example": {
              "fulfillment": {
                "tracking_numbers": [
                  "[\"UG198768340YP\"]"
                ],
                "name": "\"#21057116277667827637773776.1\"",
                "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                "shipment_status": "\"success\"",
                "tracking_number": "\"UG198768340YP\"",
                "tracking_company": "\"Other\"",
                "order_id": "\"21057116277667827637773776\"",
                "tracking_info_list": [
                  {
                    "tracking_number": "",
                    "tracking_url": "",
                    "tracking_company": ""
                  }
                ],
                "tracking_urls": [
                  "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                ],
                "id": "\"4005740193290131085320\"",
                "line_items": [
                  {
                    "id": "\"466157049\"",
                    "product_id": "\"343342675\"",
                    "taxable": true,
                    "fulfillment_quantity": 1,
                    "tax_lines": [
                      {
                        "name": "\" item tax \"",
                        "price": "\"10.00\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"10.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"10.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "rate": "\"1.00\"",
                        "title": "\" Product tax \""
                      }
                    ],
                    "properties": [
                      {
                        "type": "\"picture\"",
                        "urls": [
                          "[\"https://www.myshopline.com\"]"
                        ],
                        "value": "\"value\"",
                        "additional": "\" add-on information \"",
                        "name": "\" picture \""
                      }
                    ],
                    "grams": 10.5,
                    "name": "Trade name",
                    "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                    "title": "\"Draft\"",
                    "total_discount_set": {
                      "presentment_money": {
                        "currency_code": "\"USD\"",
                        "amount": "\"0.00\""
                      },
                      "shop_money": {
                        "currency_code": "\"USD\"",
                        "amount": "\"0.00\""
                      }
                    },
                    "variant_id": "\"183423409238904944\"",
                    "version": "\"1\"",
                    "total_discount": "\"0.00\"",
                    "price_set": {
                      "shop_money": {
                        "amount": "\"100.00\"",
                        "currency_code": "\"USD\""
                      },
                      "presentment_money": {
                        "currency_code": "\"USD\"",
                        "amount": "\"100.00\""
                      }
                    },
                    "requires_shipping": true,
                    "vendor": "",
                    "fulfillment_status": "\"open\"",
                    "price": "\"100.00\"",
                    "sku": "\"183423409238904944\"",
                    "quantity": 1,
                    "fulfillable_quantity": 1
                  }
                ],
                "location_id": "\"54039222210\"",
                "status": "\"success\"",
                "updated_at": "2022-10-21T08:56:20-04:00",
                "created_at": "2022-10-21T08:56:20-04:00"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillments/fulfillments.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "为履约单创建发货单（单个或批量）",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_assigned_fulfillment_orders"
  ]
}
```